local fn = _gn(0xF4FC6A6F67D8D856)
--- Disables or enables a specific weapon on a vehicle for a designated ped.
-- @param disabled A boolean indicating whether to disable (`true`) or enable (`false`) the weapon.
-- @param weaponHash The specific hash of the vehicle weapon (e.g., `GetHashKey("VEHICLE_WEAPON_TANK")`).
-- @param vehicle The vehicle entity handle.
-- @param owner The ped entity for whom the weapon is disabled. This acts as a ped-specific lock; the ped does not need to be inside the vehicle or in a specific seat when this native is called.
function Global.DisableVehicleWeapon(disabled, weaponHash, vehicle, owner)
	return fn(disabled, _ch(weaponHash), vehicle, owner)
end
